#pragma once
#include "dinkyecs.hpp"
#include "map.hpp"
#include "components.hpp"
#include <ftxui/dom/canvas.hpp>

namespace System {
  void motion(DinkyECS::World &world, Map &game_map);
  void combat(DinkyECS::World &world, Components::Player &player);
  void draw_entities(DinkyECS::World &world, ftxui::Canvas &canvas);
  void enemy_pathing(DinkyECS::World &world, Map &game_map, Components::Player &player);
}
